<?php 
#############################################################################
#
# This module can be used in SyndeoCMS
# SyndeoCMS is a website management system designed for schools.
#
############################################################################
# Idea         : Gien
# Module       : questions
# Script       : open_questions.php
# Last changed : 07/07/2009
############################################################################
#                        LICENSE INFORMATION
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################

if ( !defined('IN_SAS') )
{
	die("Hacking attempt");
}

if (IsSet ($_GET['suboption']))
{
	$suboption = sanitize($_GET['suboption'], 15, 'A');
}

load_language($cmsdir . '/', 'sn_questions'); //load language file
$table_questions = $dbprefix."m_questions";
$table_questions_cat = $dbprefix."m_questions_cat";
$table_questions_school = $dbprefix."m_questions_school";

$date_format = $sas_config['dateformat'];

$pagetitle = addslashes($pagetitle) ;

$query = "SELECT id, question, cat_id, applicant, school, date_format(date, '%d-%m-%Y'), check_before_post FROM $table_questions WHERE publish = '0' and check_before_post = '1' ORDER BY date DESC, ID DESC"; //get the questions for the dropdown menu
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);

//put the schools in an array $schools
$query2 = "SELECT id, school FROM $table_questions_school";
$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);

while ($school_list = mysqli_fetch_array($result2))
{
	$schools[$school_list[0]] = $school_list[1];
}

//put the categories in an array $schools
$query3 = "SELECT id, pagename FROM $table_questions_cat";
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);

while ($category_list = mysqli_fetch_array($result3))
{
	$cat[$category_list[0]] = $category_list[1];
}

print "<span class=\"sas_module_title\">".$sas_config['questions_open_menu']."</b></span>";

print "<br><br><table class=\"sas_module_table\" border=\"0\" cellpadding=\"1\" cellspacing=\"2\">";
print "<tr>
           <td width=10% valign=top><span class=\"sas_module_subtitle\">".$sas_lang['questions_module_date']."</span></td>
           <td width=35% valign=top><span class=\"sas_module_subtitle\">".$sas_lang['questions_module_question']."</span></td>
           <td width=15% valign=top><span class=\"sas_module_subtitle\">".$sas_lang['questions_module_pagename']."</span></td>
           <td width=20% valign=top><span class=\"sas_module_subtitle\">".$sas_lang['questions_module_applicant']."</span></td>
           <td width=20% valign=top><span class=\"sas_module_subtitle\">".$sas_lang['questions_module_school']."</span></td>
           </tr>";
//print "</table>";

while ($questions_list = mysqli_fetch_array($result))
{
    $school_id = $questions_list[4] ;
    $cat_id = $questions_list[2] ;
//	print "<table class=\"sas_module_table\" border=\"0\" cellpadding=\"1\" cellspacing=\"2\">";
	
	$date1 = strftime($date_format,$questions_list[3]);
	
	print "<tr>
			   <td width=10% valign=top><span class=\"sas_module_text\">$questions_list[5]</span></td>
			   <td width=35% valign=top><span class=\"sas_module_text\">$questions_list[1]</span></td>
               <td width=15% valign=top><span class=\"sas_module_text\">".$cat[$cat_id]."</span></td>
               <td width=20% valign=top><span class=\"sas_module_text\">$questions_list[3]</span></td>
               <td width=20% valign=top><span class=\"sas_module_text\">".$schools[$school_id]."</span></td>
			   </tr>";
 }
	print "</table>";


?>

