<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.6.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* logging.inc.php: last changed 26/02/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "list_log";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}
//print $modoption ;
//exit;

if (IsSet ($_GET['suboption2']))
{
	$suboption2 = sanitize($_GET['suboption2'], 15, 'A');
}
if (IsSet ($_POST['logging_list']))
{
	//array with id's which the user selected.
	$logging_list = $_POST['logging_list'];
}

if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80 , 'S'); //sanitize, 80 characters
}
if (IsSet ($_POST['site_email']))
{
	$site_email = sanitize($_POST['site_email'], 60 , 'S'); //sanitize, 80 characters
}

if (IsSet ($_POST['email_text']))
{
	$email_text = sanitize($_POST['email_text'], 1000 , 'S'); //sanitize the input
}
if (IsSet ($_POST['logging_retention_period']))
{
	$logging_retention_period = intval($_POST['logging_retention_period']);
}

if (IsSet ($_GET['p']))
{
	$p = intval($_GET['p']);
}
else
{
	$p = 1;
}

$table_logging = $dbprefix . "logging";

if (IsSet ($_GET['log_id']))
{
	$log_id = sanitize($_GET['log_id'], 10 , 'I'); //sanitize, integer 5 pos.
	$query = "SELECT date, filename, line, code, message FROM $table_logging WHERE id = '".$log_id. "'";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
	$date = mysqli_result($result, 0, 0);
	$filename = mysqli_result($result, 0, 1);
	$line = mysqli_result($result, 0, 2);
	$code = mysqli_result($result, 0, 3);
	$error_message = mysqli_result($result, 0, 4);
}

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");


$class = "";
if($modoption == "list_log") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=tools&suboption=logging&modoption=list_log\">" . $sas_lang['user_logging'] . "</a></li>";

$class = "";
if($modoption == "list_errors") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=tools&suboption=logging&modoption=list_errors\">" . $sas_lang['error_logging'] . "</a></li>";

$class = "";
if($modoption == "config") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=tools&suboption=logging&modoption=config\">" . $sas_lang['configuration'] . "</a></li>";
include ("interface/menuend.inc.php");

if (substr($access, 14, 1) != 1) //bit 14 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

print "<span class=\"sas_module_title\">".$sas_lang['logging'].":<br><br></span>";

$bgcolor = "E7E7EF";

switch ($modoption) // start of switch
{

	case delete :
	
		foreach ($logging_list as $value)
		{	//delete the selected log items
			mysqli_query($db,"DELETE FROM $table_logging WHERE id = '".$value."' LIMIT 1"); //delete selected loggings
		}
		print "<script language='javascript'>window.location = 'index.php?option=configuration&option=tools&suboption=logging&modoption=$suboption2'</script>";
		
	break;
		
	case delete_all :
		
		mysqli_query($db,"DELETE FROM $table_logging WHERE code != 9999"); //delete all error loggings
		print "<script language='javascript'>window.location = 'index.php?option=configuration&option=tools&suboption=logging&modoption=list_errors'</script>";
		
		
	break;
		
	case email_send:
	
		if($email != "")
		{
			$email_text = nl2br($email_text);
			$message .= "<html><body><br>$email_text<p>";
			$message .= "<b>".$sas_lang['file']." </b>$filename<br>
						 <b>error code: </b>$code<br><b>line: </b>$line
						 <br><b>error: </b>$error_message</span><br>";
			$message .= "</body></html>";
			$message = wordwrap($message);
			require ("core/class.phpmailer.php");
			//use the phpmailer class
			$mail = new PHPMailer();
			if($site_email != "")
			{
				$mail->From = $site_email;
			}
			else
			{
				$mail->From = $sas_config['email'];
			//site email address
			}
			$mail->FromName = $sitename;
			$mail->Subject = "Error report for : " .$_SERVER[SERVER_NAME];
			$mail->Body = $message;
			$mail->IsHTML(true);
			$mail->AddAddress($email);
	
			//print $message ;
			$mail->Send();
			print "<script language=\"Javascript\">
				   <!--
				   alert (\"".$sas_lang['email_sent']."\");
				   //-->
				   </script>";
		}
		print "<script language='javascript'>window.location = 'index.php?option=configuration&option=tools&suboption=logging'</script>";
		
	break;
	
	
	case mail:
		
		print "".$sas_lang['logging_mail_intro']."<br><br></span>";
		print "\n<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?modulemanager&module=$module&option=tools&suboption=logging&modoption=email_send&log_id=$log_id\">";
		
		print "<b>".$sas_lang['logging_error_desc'].":</b><span><p>";
		print "<b>".$sas_lang['file']." </b>$filename<br>
						 <b>error code: </b>$code<br><b>line: </b>$line
						 <br><b>error: </b>$error_message</span><p>\n";
		
		print "" . $sas_lang['site_email'] . ":</span><br>\n
			  <input tabindex=\"2\" type=\"text\" name=\"site_email\" size=\"60\" value=\"".$sas_config['email']."\" class=\"textfield\"><p>\n";
		print "" . $sas_lang['email'] . ":</span><br>\n
			  <input tabindex=\"2\" type=\"text\" name=\"email\" size=\"80\" class=\"textfield\"><p>\n";
		print "" . $sas_lang['text'] . ": &nbsp;</span><br>\n
				<textarea cols=\"70\" rows=\"4\" name=\"email_text\"></textarea><p>\n";

		print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['cancel'] . "\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=tools&suboption=logging';\" class=\"backbutton\">\n";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['send'] . "\" name=\"savebutton\" class=\"savebutton\">\n";
		
		print "</form>\n";
	
	break;
	
	case list_log :

		mysqli_query($db,"DELETE from $table_logging WHERE date < current_date() - INTERVAL 60 day");   //delete old log entries
		
		$query = "SELECT id FROM $table_logging WHERE code = 9999 ORDER BY date DESC";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$total_records = mysqli_num_rows($result);
		
		print "".$sas_lang['logging_intro']."<br><br></span>";
		print "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" width=\"100%\">\n";
		print "\n<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&option=tools&suboption=logging&modoption=delete&suboption2=list_log\">";
		$begin_limit = $p * 20 - 20;
		//entries with code = 9999 are user login log entries.
		$query = "SELECT id, date, filename, line, code, message FROM $table_logging WHERE code = 9999 ORDER BY date DESC LIMIT $begin_limit,20";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Reccount = mysqli_num_rows($result);
		
		if ($Reccount > 0)
		{
			print "<tr>
				   <td width=\"3%\">&nbsp;</td>
				   <td width=\"20%\"><b>".$sas_lang['date'].": </span></b></td>
				   <td width=\"73%\"><b>".$sas_lang['logging_error_desc'].": </span></b></td>
				   </tr>";
		
			while ($logging_list = mysqli_fetch_array($result))
			{
				print "<tr>";
				print "<tr bgcolor=\"$bgcolor\">
						 <td align=\"center\"><INPUT type=\"checkbox\" name=\"logging_list[$logging_list[0]]\" value=\"$logging_list[0]\"><br>
						 <a href=\"index.php?option=modulemanager&module=$module&option=tools&suboption=logging&modoption=mail&log_id=$logging_list[0]\">
						 </td>
						 <td valign=\"top\">$logging_list[1]</span></td>
						 <td>$logging_list[2] $logging_list[5]</span></td>
						 </tr>";
				if ($bgcolor == "E7E7EF")
				{
					$bgcolor = "FFFFFF";
				}
				else
				{
					$bgcolor = "E7E7EF";
				}
			}
?>
		<script language='javascript'>
			function checkUncheckAll(theElement)
			{
			 //documentation for this script at http://www.shawnolson.net/a/693/
			 var theForm = theElement.form, z = 0;
			 while (theForm[z].type == 'checkbox' && theForm[z].name != 'checkall') {
			  theForm[z].checked = theElement.checked;
			  z++;
			 }
			}
		</script>
		<?php
		
			print "<tr><td align=\"center\"><input type=\"checkbox\" name=\"checkall\"
					  onclick=\"checkUncheckAll(this);\"/></td>
					  <td>".$sas_lang['select_all']."&nbsp;</span></td>		  
					<td colspan=\"3\">&nbsp;</td></tr>\n";
					
			print "<tr><td colspan=\"3\" align=\"center\">";
			
			$pages = ceil($total_records / 20); //number of pages 
			$next = $p + 1; //next page number
			$prev = $p - 1; //previous page number
			if ($prev > 0) //is previous page number greater than 0
			{
				print "<a href=\"index.php?option=tools&suboption=logging&modoption=list_log&p=$prev\"><<<</a></span>";
			}
			print "&nbsp;&nbsp;&nbsp;<b>" . $sas_lang['page'] . " $p / $pages</b>&nbsp;&nbsp;&nbsp;</span>";

			if (($next <= $pages) AND ($total_records > 0)) //does next page number not exceed the number of pages
			{
				print "<a href=\"index.php?option=tools&suboption=logging&modoption=list_log&p=$next\">>>></a></span>";
			}
			print "</td></tr>";
		}
		else
		{
			print "<tr><td colspan=\"6\">No entries found!</span></td></tr>\n";
		}
		
		print "<tr>
				<td colspan=\"6\">&nbsp;
				</tr>
				<tr>
				<td colspan=\"6\">
				<button onclick=\"javascript:parent.location='index.php?option=tools'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>&nbsp;
				<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['delete']."</span></em></button>
				</td>
				</tr></form></table>\n";
	break;
	
	case list_errors :

		$query = "SELECT id FROM $table_logging WHERE code != 9999 ORDER BY date DESC";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$total_records = mysqli_num_rows($result);
		
		print "".$sas_lang['logging_intro']."<br><br></span>";
		print "<table border=\"0\" cellpadding=\"2\" cellspacing=\"2\" width=\"100%\">\n";
		
		$begin_limit = $p * 20 - 20;
		print "\n<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&option=tools&suboption=logging&modoption=delete&suboption2=list_errors\">";
		$query = "SELECT id, date, filename, line, code, message FROM $table_logging WHERE code != 9999 ORDER BY date DESC LIMIT $begin_limit,20";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Reccount = mysqli_num_rows($result);
		
		if ($Reccount > 0)
		{
			print "<tr>
				   <td width=3%>&nbsp;</td>
				   <td width=10%><b>".$sas_lang['date'].": </span></b></td>
				   <td width=53%><b>".$sas_lang['logging_error_desc'].": </span></b></td>
				   </tr>";
		
			while ($logging_list = mysqli_fetch_array($result))
			{
				print "<tr>";
				print "<tr bgcolor=\"$bgcolor\">
						 <td align=\"center\"><INPUT type=\"checkbox\" name=\"logging_list[$logging_list[0]]\" value=\"$logging_list[0]\"><br>
						 <a href=\"index.php?option=modulemanager&module=$module&option=tools&suboption=logging&modoption=mail&log_id=$logging_list[0]\">
						 <img src=\"graphics/mail_icon.gif\" alt=\"".$sas_lang['student_page_email']."\" title=\"".$sas_lang['student_page_email']."\" border=\"0\"></a>
						 </td>
						 <td valing\"top\">$logging_list[1]</span></td>
						 <td><b>".$sas_lang['file']." </b>$logging_list[2]<br>
						 <b>error code: </b>$logging_list[4]<br><b>line: </b>$logging_list[3]
						 <br><b>error: </b>$logging_list[5]</span></td>
						 </tr>";
				if ($bgcolor == "E7E7EF")
				{
					$bgcolor = "FFFFFF";
				}
				else
				{
					$bgcolor = "E7E7EF";
				}
			}
?>
		<script language='javascript'>
			function checkUncheckAll(theElement)
			{
			 //documentation for this script at http://www.shawnolson.net/a/693/
			 var theForm = theElement.form, z = 0;
			 while (theForm[z].type == 'checkbox' && theForm[z].name != 'checkall') {
			  theForm[z].checked = theElement.checked;
			  z++;
			 }
			}
		</script>
		<?php
		
		print "<tr><td align=\"center\"><input type=\"checkbox\" name=\"checkall\"
				  onclick=\"checkUncheckAll(this);\"/></td>
				  <td>".$sas_lang['select_all']."&nbsp;</span></td>		  
				<td colspan=\"4\">&nbsp;</td></tr>\n";
				
			print "<tr><td colspan=\"3\" align=\"center\">";
			$pages = ceil($total_records / 20); //number of pages 
			$next = $p + 1; //next page number
			$prev = $p - 1; //previous page number
			if ($prev > 0) //is previous page number greater than 0
			{
				print "<a href=\"index.php?option=tools&suboption=logging&modoption=list_errors&p=$prev\"><<<</a></span>";
			}
			print "&nbsp;&nbsp;&nbsp;<b>" . $sas_lang['page'] . " $p / $pages</b>&nbsp;&nbsp;&nbsp;</span>";

			if (($next <= $pages) AND ($total_records > 0)) //does next page number not exceed the number of pages
			{
				print "<a href=\"index.php?option=tools&suboption=logging&modoption=list_errors&p=$next\">>>></a></span>";
			}
			print "</td></tr>";
		}
		else
		{
			print "<tr><td colspan=\"6\">No errors found!</span></td></tr>\n";
		}
		
		print "<tr>
				<td colspan=\"6\">&nbsp;
				</tr>
				<tr>
				<td colspan=\"6\">
				<button onclick=\"javascript:parent.location='index.php?option=tools'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>&nbsp;
				<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['delete']."</span></em></button><br /><br />\n
				<button onclick=\"javascript:parent.location='index.php?option=tools&suboption=logging&modoption=delete_all'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['delete_all']."</span></em></button>
				</td>
				</tr></form></table>\n";
	break;
	
	case save_config :
	
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$email' WHERE config_key = 'logging_email'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value='$logging_retention_period' WHERE config_key = 'logging_retention_period'");
		
		print "<span class=\"error\">" . $sas_lang['configuration_saved'] . "</span>";
		
	break;
	
	case config :
	
		print "<b>" . $sas_lang['configuration'] . ":</b></span><br><br>\n";
		print "<form method=\"post\" NAME=\"form\" action=\"index.php?option=tools&suboption=logging&modoption=save_config\">
				<table border=\"0\" cellpadding=\"5\">";
		print "<tr><td><span class=text>" . $sas_lang['logging_email'] . ":</span></td></tr>
				<tr><td><input type=\"text\" name=\"email\" size=\"60\" value=\"".$sas_config['logging_email']."\" class=\"textfield\"></td></tr>";
		print "<tr><td><span class=text>" . $sas_lang['logging_retention_period'] . ":</span>
				&nbsp;<input type=\"text\" name=\"logging_retention_period\" size=\"5\" value=\"".$sas_config['logging_retention_period']."\" class=\"textfield\"></td></tr>";
		print "</table>";
		print "<br><button onclick=\"javascript:parent.location='index.php?option=tools'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button></form>\n";
		print "</form>";
		
	break;
		
}
include ("interface/footer.inc.php");
?>