<?php
/*
*	SyndeoCMS (former Site@School)
* 	is a website management system designed for primary schools.
*
* sas_link.php 
*                 by Fred Stuurman (fc.stuurman@gmail.com)
*$Id$
*/
define('IN_SAS', true);

include ("../../../../configuration/database.inc.php"); // connecting to database
$db = new mysqli($db_server, $db_username, $db_password, $db_name);

include ("../../../../core/session.php"); // create a session

if ($_SESSION['site'] == "protected")
{
	$table_sections = $dbprefix . "prot_sections";
	$table_pages = $dbprefix . "prot_pages";
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!--
 * CKeditor - The text editor for internet
 * Copyright (C) 2003-2005 Frederico Caldeira Knabben
 * 
 * Licensed under the terms of the GNU Lesser General Public License:
 * 		http://www.opensource.org/licenses/lgpl-license.php
 * 
 * For further information visit:
 * 		http://www.ckeditor.net/
 * 
 * "Support Open Source software. What about a donation today?"
 * 
 * File Name: sas_link.php
 * 	SyndeoCMS insert link Plugin.
 * 
 * this file is part of SyndeoCMS http://www.syndeocms.org
 *
 * File Authors:
 * 		Fred Stuurman (fc.stuurman@gmail.com)
 * 		last changed 03/06/2012
 */
-->
<?php
unset ($sas_lang); //just to be sure

$query = "SELECT config_value FROM $table_configuration WHERE config_key = 'url'"; // getting the site url
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
//$site_url = mysqli_result($result, 0, 'config_value');
$row = mysqli_fetch_array($result);
$site_url = $row['config_value'];
$query = "SELECT config_value FROM $table_configuration WHERE config_key = 'language'"; // getting the language
$result = mysqli_query($db,$query);
$row = mysqli_fetch_array($result);
$language = $row['config_value'];
include ("../../../../languages/$language/$language.php"); // including language file
unset ($query);
unset ($result);

if (IsSet ($_GET['editor_name']))
{
	$editor_name = $_GET['editor_name'];
}

?>

<html>
<head>
<title><?php echo $sas_lang['internal_link'] ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta content="noindex, nofollow" name="robots">
<script language="javascript">
		 
function insertLink(url, linkname)
{
	 var CKEDITOR = window.parent.CKEDITOR;
	 
	 CKEDITOR.instances.<?php echo $editor_name ?>.insertHtml( url + linkname + '</a>'  );
	 CKEDITOR.dialog.getCurrent().hide();
	 return true;
}
		</script>
	</head>
	<body>
<?php

if (IsSet ($_GET['section']))
{
	$section = intval($_GET['section']);
}
$category = "";
if (IsSet ($_GET['category']))
{
	$category = $_GET['category'];
}

$query = "SELECT id, name, frontpage FROM $table_sections WHERE parent = '' ORDER BY sort";
$result = mysqli_query($db,$query);

while ($section_list = mysqli_fetch_array($result))
{
	$i = 1;
	print "<a href=\"syn_link.php?section=$section_list[0]&editor_name=$editor_name\" style =\"color: #0000FF\">$section_list[1]</a>";

	$query1 = "SELECT id, category FROM $table_pages WHERE section = '$section' AND hidden != 'yes' GROUP BY category"; // getting catlist
	$result2 = mysqli_query($db,$query1);

	while ($cat_list = mysqli_fetch_array($result2)) //loop through categories
	{

		$category1 = htmlspecialchars(rawurlencode($cat_list[1]));

		if (!empty ($cat_list[1]) and ($section_list[0] == $section)) //only display when categrory has no blanks
		{
			if ($i == 1)
			{
				print "<ul>";
			} //only print the first time
			$i++;
			print "<li><a href=\"syn_link.php?category=$category1&section=$section&editor_name=$editor_name\">$cat_list[1]</a></li>";
		}

		if (($cat_list[1] == $category) and ($section_list[0] == $section))
		{
			$query1 = "SELECT id, name, category, content FROM $table_pages WHERE category = '$category' AND section = '$section' AND hidden != 'yes' ORDER BY sort";
			$result1 = mysqli_query($db,$query1);
			print "<ul>";
			while ($page_list = mysqli_fetch_array($result1))
			{
				$page_name = addslashes($page_list[1]);
				if ($page_list[2] != "")	//category empty?
				{
					$category = htmlspecialchars(rawurlencode($page_list[2]));
					print "<li><a href=\"#\" onclick=\"insertLink('<a href=index.php?section=" . $section_list[0] . "&category=" . $category . "&page=" . $page_list[0] . ">','" . $page_name . "');\">$page_list[1]</a></li>";
				}
				else
				{
					print "<li><a href=\"#\" onclick=\"javascript:insertLink('<a href=index.php?section=" . $section_list[0] . "&page=" . $page_list[0] . ">','" . $page_name . "');\">$page_list[1]</a></li>";
				}
				//search for anchors in content
				$pos = strpos($page_list[3], '<a name=') ;

				if($pos  !== FALSE)
				{
					$pos2 = strpos($page_list[3], '">', $pos) ;
					$len = $pos2 - $pos - 9 ;
					$anchor_name = substr($page_list[3], $pos+9, $len) ;
					if ($page_list[2] != "")	//category empty?
					{
						print "<ul><li style=\"list-style-image: url(iconAnchorSmall.gif);\">
						<a href=# onclick=\"insertLink('<a href=index.php?section=" . $section_list[0] . "&category=" . $category . "&page=" . $page_list[0] . "#".$anchor_name.">','" . $page_name . "');\"> $anchor_name</a></li></ul>";
					}
					else
					{
						print "<ul><li style=\"list-style-image: url(iconAnchorSmall.gif);\">
						<a href=# onclick=\"insertLink('<a href=index.php?section=" . $section_list[0] . "&page=" . $page_list[0] . "#".$anchor_name.">','" . $page_name . "');\"> $anchor_name</a></li></ul>";
					}
				}
			}

			print "</ul>";
		}
	}
	if ($i > 1)
	{
		print "</ul>";
	}
	if ($i == 1)
	{
		print "<br>";
	}
}
?>
	</body>
</html>