<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Sitemap module:
* admin.php: last changed 13/04/2010 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (!get_magic_quotes_gpc())
{
	$welcometext = addslashes($_POST['welcometext']);
}
else
{
	$welcometext = $_POST['welcometext'];
}
if (IsSet ($_POST['sitemap_background_color']))
{
	$sitemap_background_color = sanitize($_POST['sitemap_background_color'], 7 , 'S');
}
else
{
	$sitemap_background_color = "#FFFFFF"; //default color
}

load_language('', 'sn_sitemap'); //load language file

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li class='active'><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

print "<span class=\"sas_module_title\">$modulename " . $sas_lang['configuration'] . "<br><br></span>";

if ($modoption == "saveconfig")
{
	mysqli_query($db,"UPDATE $table_configuration SET config_value = '$sitemap_background_color' WHERE config_key = 'sitemap_background_color'");
	mysqli_query($db,"UPDATE $table_configuration SET config_value = '$welcometext' where config_key='sitemap_welcome_text'");
	print "<span class=\"text\">" . $sas_lang['configuration_saved'] . "<p></span>";
			$sas_config['sitemap_welcome_text'] = stripslashes($welcometext);
			$sas_config['sitemap_background_color'] = $sitemap_background_color;
}
?>
<script src="interface/201a.js" type="text/javascript"></script>
<?php
print "<FORM name=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=saveconfig\">";
print "<div id=\"colorpicker201\" class=\"colorpicker201\"></div>";      
print "<table cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\">
		 <tr><td colspan=\"4\" class=\"sas_row_color_even\">" . $sas_lang['sitemap_welcome_text'] . "</td></tr>
		<tr><td colspan=\"4\" width=\"640\" bgcolor=\"#F7F7F7\">";	
		// call basic ckeditor for welcome text
		small_editor('welcometext', $sas_config['sitemap_welcome_text'], 'editor1');
		
		print "</td></tr>
				<tr><td width=\"325\" class=\"sas_row_color_even\">".$sas_lang['sitemap_module_back_color2'].":&nbsp;</td>
				<td width=\"85\" class=\"sas_row_color_even\"><input type=\"text\" size=\"10\" ID=\"input_field_1\" class=\"textfield\" name=\"sitemap_background_color\" value=\"".$sas_config['sitemap_background_color']."\"></td>
				<td width=\"35\" ID=\"sample_1\" bgcolor=\"".$sas_config['sitemap_background_color']."\">&nbsp;</td>
				<td width=\"205\" class=\"sas_row_color_even\"><img src=\"interface/sel.gif\" onclick=\"showColorGrid2('input_field_1','sample_1');\" border=\"0\" style=\"cursor:pointer\" alt=\"kies een kleur\" title=\"kies een kleur\"></td></tr>
			<tr><td colspan=\"4\" class=\"sas_row_color_even\"><span class=\"sas_module_lbl2\">".$sas_lang['sitemap_module_back_color']."</span></td></tr>
			</table><br>\n";

print "\n&nbsp;<button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>
         &nbsp;&nbsp;&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button></form>";

include ("interface/footer.inc.php");
?>